Batimentos cardíacos

GET https://uptimeape.com/api/heartbeats/
curl --request GET \
--url 'https://uptimeape.com/api/heartbeats/' \
--header 'Authorization: Bearer {api_key}' \
Parâmetros Detalhes Descrição
search Opcional String A string de busca.
search_by Opcional String Qual campo você está pesquisando? Os valores permitidos são: name.
is_enabled Opcional Boolean
project_id Opcional Inteiro
order_by Opcional String Qual campo ordenar os resultados. Os valores permitidos são: heartbeat_id , datetime , last_datetime , last_run_datetime , name , uptime.
order_type Opcional String A ordenação dos resultados. Os valores permitidos são: ASC para ordenação ascendente e DESC para ordenação descendente.
page Opcional Inteiro O número da página de onde você deseja os resultados. O padrão é 1.
results_per_page Opcional Inteiro Quantos resultados você deseja por página. Os valores permitidos são: 10 , 25 , 50 , 100 , 250 , 500 , 1000. O padrão é 25.
{
    "data": [
        {
            "id": 1,
            "project_id": 0,
            "name": "Demo cron",
            "code": "12345678901112131415",
            "settings": {
                "run_interval": 1,
                "run_interval_type": "minutes",
                "run_interval_grace": 1,
                "run_interval_grace_type": "seconds"
            },
            "is_ok": 1,
            "uptime": 75.5,
            "downtime": 24.5,
            "total_runs": 50,
            "total_missed_runs": 15,
            "last_run_datetime": "2021-03-30 19:17:22",
            "notifications": {
                "email_is_enabled": 0,
                "webhook": "",
                "slack": "",
                "twilio": ""
            },
            "is_enabled": true,
            "datetime": "2026-05-31 11:25:47",
        }
    ],
    "meta": {
        "page": 1,
        "results_per_page": 25,
        "total": 1,
        "total_pages": 1
    },
    "links": {
        "first": "https://uptimeape.com/api/heartbeats?page=1",
        "last": "https://uptimeape.com/api/heartbeats?page=1",
        "next": null,
        "prev": null,
        "self": "https://uptimeape.com/api/heartbeats?page=1"
    }
}
GET https://uptimeape.com/api/heartbeats/{heartbeat_id}
curl --request GET \
--url 'https://uptimeape.com/api/heartbeats/{heartbeat_id}' \
--header 'Authorization: Bearer {api_key}' \
{
    "data": {
        "id": 1,
        "project_id": 0,
        "name": "Demo cron",
        "code": "12345678901112131415",
        "settings": {
            "run_interval": 1,
            "run_interval_type": "minutes",
            "run_interval_grace": 1,
            "run_interval_grace_type": "seconds"
        },
        "is_ok": 1,
        "uptime": 75.5,
        "downtime": 24.5,
        "total_runs": 50,
        "total_missed_runs": 15,
        "last_run_datetime": "2021-03-30 19:17:22",
        "notifications": {
            "email_is_enabled": 0,
            "webhook": "",
            "slack": "",
            "twilio": ""
        },
        "is_enabled": true,
        "datetime": "2026-05-31 11:25:47",
    }
}
POST https://uptimeape.com/api/heartbeats
Parâmetros Detalhes Descrição
name Requerido String -
run_interval Opcional Inteiro -
run_interval_type Opcional String Valores permitidos: seconds, minutes, hours, days
run_interval_grace Opcional Inteiro -
run_interval_grace_type Opcional String Valores permitidos: seconds, minutes, hours, days
is_ok_notifications Opcional Array IDs do manipulador de notificações
is_enabled Opcional Boolean -
curl --request POST \
--url 'https://uptimeape.com/api/heartbeats' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'target=example.com' \
{
    "data": {
        "id": 1
    }
}
POST https://uptimeape.com/api/heartbeats/{heartbeat_id}
Parâmetros Detalhes Descrição
name Opcional String -
run_interval Opcional Inteiro -
run_interval_type Opcional String Valores permitidos: seconds, minutes, hours, days
run_interval_grace Opcional Inteiro -
run_interval_grace_type Opcional String Valores permitidos: seconds, minutes, hours, days
is_ok_notifications Opcional Array IDs do manipulador de notificações
is_enabled Opcional Boolean -
curl --request POST \
--url 'https://uptimeape.com/api/heartbeats/{heartbeat_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
{
    "data": {
        "id": 1
    }
}
DELETE https://uptimeape.com/api/heartbeats/{heartbeat_id}
curl --request DELETE \
--url 'https://uptimeape.com/api/heartbeats/{heartbeat_id}' \
--header 'Authorization: Bearer {api_key}' \